import jsonschema
import json

def getJson(filename):
    with open(filename) as f:
        j = json.load(f)
    return j


schema = getJson('test_schema.json')
instance = getJson('test_doc.json')

store = {
    "core" : schema,
    "common.json" : getJson('common.json')
}
resolver = jsonschema.RefResolver("", "", store)
jsonschema.validate(instance, schema, resolver=resolver)